<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="dossier_inscription_paiements" language="groovy" pageWidth="508" pageHeight="170" columnWidth="508" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="HIST_NUMERO" class="java.lang.Integer" isForPrompting="false">
		<defaultValueExpression><![CDATA[141389]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select * from v_dpaie_carte_restant
where numero_historique = $P{HIST_NUMERO}
order by code_compte]]>
	</queryString>
	<field name="NUMERO_HISTORIQUE" class="java.lang.Integer"/>
	<field name="ANNEE_SCOLAIRE" class="java.lang.Integer"/>
	<field name="LIBELLE_COMPTE" class="java.lang.String"/>
	<field name="DETAIL_MONTANT" class="java.math.BigDecimal"/>
	<variable name="TOTAL" class="java.math.BigDecimal" resetType="Group" resetGroup="paiements" calculation="Sum">
		<variableExpression><![CDATA[$F{DETAIL_MONTANT}]]></variableExpression>
	</variable>
	<group name="paiements">
		<groupExpression><![CDATA[$F{NUMERO_HISTORIQUE}]]></groupExpression>
		<groupFooter>
			<band height="29">
				<textField pattern="#,##0.00">
					<reportElement x="0" y="13" width="391" height="16"/>
					<textElement textAlignment="Left">
						<font size="10" isBold="false"/>
					</textElement>
					<textFieldExpression><![CDATA["Paiement de " + $V{TOTAL} + " €"]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="14" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="416" height="14"/>
				<textElement>
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LIBELLE_COMPTE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement x="426" y="0" width="65" height="14"/>
				<textElement textAlignment="Right">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DETAIL_MONTANT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="493" y="0" width="12" height="14"/>
				<textElement textAlignment="Left" markup="none">
					<font size="10"/>
				</textElement>
				<text><![CDATA[€]]></text>
			</staticText>
		</band>
	</detail>
</jasperReport>
